#root logger option
log4j.rootLogger = Debug,file,console

#Info messages will be displayed in console
log4j.appender.console = org.apache.log4j.ConsoleAppender
log4j.appender.console.layout = org.apache.log4j.PatternLayout
log4j.appender.console.layout.ConversionPattern = %d{dd-MM-yyyy HH:mm:ss,SSS} [%-5p] %c - %m%n
log4j.appender.console.Threshold = info


# Error/Exception messages stored in d:\\ErrorlogsServicefile.File
log4j.appender.file=org.apache.log4j.DailyRollingFileAppender
log4j.appender.file.File=d:\\Errorlogsfile.File
log4j.appender.LOGFILE.Append=false
log4j.appender.file.layout=org.apache.log4j.PatternLayout
log4j.appender.file.layout.ConversionPattern=%d{dd-MM-yyyy HH:mm:ss,SSS} [%-5p] %c - %m%n
log4j.appender.file.DatePattern='.'yyyy-MM-dd
log4j.appender.file.Threshold = Error